#include <bits/stdc++.h>
using namespace std;

std::vector<int> solve(std::vector<int> A){
    vector<int> a(A.size(), 0);
    int cur = 0;
    for(int i = 0; i < A.size()/2; i++){
        a[A.size()-i-1] = cur+1;
        a[i] = cur;
        cur += 2;
    }
    if(A.size() % 2 == 1){
        a[A.size()/2] = A.size()-1;
    }
    return a;
}
